#include <stdio.h>
#include <stdlib.h>

/** Display a prompt to the user then wait for an integer input. */
int promptValue(const char* prompt) {
    printf("%s:\n", prompt);
    int result;
    scanf("%d", &result);
    return result;
}

/** Linked list of int */
typedef struct link_s {
    int value;
    struct link_s* next;
} link_t;

link_t* list_new(int value) {
    link_t* link_t_new;	
    link_t_new = malloc(sizeof(link_t));
    link_t_new->value = value;
    link_t_new->next = NULL;
    return link_t_new;
}

void list_clear(link_t* link) {
    free(link);
}

int main() {
    link_t* head;
    int value = promptValue("Entrer l'entier a mettre dans un maillon");
    head = list_new(value);
    printf("Valeur entiere dans le maillon: %d\n", head->value);
    list_clear(head);

    return 0;
}
