#include <stdio.h>

#include "ui.h"

int promptValue(const char* msg, int* result) { 
    puts(msg); 
    int retVal = scanf("%d", result); 
    return (retVal == 1) ? 0 : 1; 
}

void displayArray(const int array[], unsigned length) {
    printf("--Begin--\n");
    for (unsigned i = 0; i < length; i++) {
        printf("array[%d]=%d\n", i, array[i]);
    }
    printf("--End--\n");
}

void displayList(link_t* head) {
    printf("--Begin--\n");
    for (unsigned i = 0, length = list_count(head); i < length; i++) {
        printf("value at [%d]=%d\n", i, list_get(head, i));
    }
    printf("--End--\n");
}
